| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2Rot Struct Reference

Rotation. More...

`#include <b2Math.h>`

## Public Member Functions
| b2Rot (float32 angle)
| Initialize from an angle in radians. More...
void | Set (float32 angle)
| Set using an angle in radians. More...
void | SetIdentity ()
| Set to the identity rotation.
float32 | GetAngle () const
| Get the angle in radians.
b2Vec2 | GetXAxis () const
| Get the x-axis.
b2Vec2 | GetYAxis () const
| Get the u-axis.

## Public Attributes
float32 | s
| Sine and cosine.
float32 | c

## Detailed Description

Rotation.

## Constructor & Destructor Documentation

## ◆ b2Rot()

b2Rot::b2Rot | ( | float32 | angle | ) |
| inline explicit

Initialize from an angle in radians.

TODO_ERIN optimize

## Member Function Documentation

## ◆ Set()

void b2Rot::Set | ( | float32 | angle | ) |
| inline

Set using an angle in radians.

TODO_ERIN optimize

The documentation for this struct was generated from the following file:

- b2Math.h